Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteBurstingSchemaInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteBurstingSchemaInfo

extends java.rmi.Remote

`RemoteBurstingSchemaInfo` represents a bursting schema in report.

Since:
  version 9

Method Summary
`java.lang.String` | `getName()` Gets the bursting schema name.
`java.util.Vector` | `getParamInfosByValueForRecipient(java.lang.String paramName, java.lang.String value, java.lang.String paramEngineId)` Returns parameters for the query that retrieves recipient's addresses according to the name and value of the specified parameter.
`java.util.Vector` | `getParamInfosForRecipient()` Gets the parameters for the query that retrieves recipient's addresses.
`BurstingRecipientInfo` | `getRecipientInfo()` Gets the bursting recipient information that is defined in the bursting schema.

Method Detail

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Gets the bursting schema name.

  Returns:
    bursting schema name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getRecipientInfo

    BurstingRecipientInfo getRecipientInfo()
                                           throws java.rmi.RemoteException

  Gets the bursting recipient information that is defined in the bursting schema.

  Returns:
    A `BurstingRecipientInfo` object to represent the bursting recipient information.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getParamInfosForRecipient

    java.util.Vector getParamInfosForRecipient()
                                               throws java.rmi.RemoteException

  Gets the parameters for the query that retrieves recipient's addresses.

  Returns:
    parameters for the query. The `Vector` contains `ParamInfo` objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 9
  See Also:
    `ParamInfo`

### getParamInfosByValueForRecipient

    java.util.Vector getParamInfosByValueForRecipient(java.lang.String paramName,
                                                      java.lang.String value,
                                                      java.lang.String paramEngineId)
                                                      throws RptServerException,
                                                             java.rmi.RemoteException

  Returns parameters for the query that retrieves recipient's addresses according to the name and value of the specified parameter.
  If the value is null, JReport will apply the default value of the parameter.
  If the name is null, the method will return null.
  Otherwise JReport will return all parameters depending on the parameter value.

  Parameters:
    `paramName` - The parameter name.
    `value` - The value of the parameter.
    `paramEngineId` - ID of the engine that generates parameters.
  Returns:
    parameters for the query that retrieves recipient's addresses according to the `Vector` that contains `ParamInfo` objects.
  Throws:
    `RptServerException` - If a RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 9
  See Also:
    `ParamInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD